# Uses of Class
org.apache.qpid.proton.amqp.security.SaslResponse

Packages that use SaslResponse
Package
Description
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.codec.security
org.apache.qpid.proton.engine.impl

## Uses of SaslResponse in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security with parameters of type SaslResponse
Modifier and Type
Method
Description
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleResponse(SaslResponse saslResponse, Binary payload, E context)`

## Uses of SaslResponse in org.apache.qpid.proton.codec.security

Methods in org.apache.qpid.proton.codec.security that return SaslResponse
Modifier and Type
Method
Description
`SaslResponse`
SaslResponseType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.security that return types with arguments of type SaslResponse
Modifier and Type
Method
Description
`Class<SaslResponse>`
SaslResponseType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.security with parameters of type SaslResponse
Modifier and Type
Method
Description
`protected List`
SaslResponseType.`wrap(SaslResponse val)`

## Uses of SaslResponse in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SaslResponse
Modifier and Type
Method
Description
`void`
SaslImpl.`handleResponse(SaslResponse saslResponse, Binary payload, Void context)`